package pract01;

import fundamentos.*;

/**
 * Gestion de de la carga de vehiculos en un barco transbordador
 * @author <Nombre del alumno>
 * @version feb-15
 */
public class GestionTransbordador {

	/**
	 * Programa principal basado en menu
	 */
	public static void main(String[] args) {
		// opciones del menu
		final int CARGA_VEHICULO = 0, BUSCA_VEHICULO = 1, VACIA_TRANSBORDADOR = 3;

		// variables auxiliares
		Lectura lect;
		int numOcupantes;
		double peso;

		// crea el transbordador
		// TODO

		// crea la ventana de menú
		Menu menu = new Menu("Carga transbordador");
		menu.insertaOpcion("Carga vehiculo", CARGA_VEHICULO);
		menu.insertaOpcion("Busca vehiculo", BUSCA_VEHICULO);
		menu.insertaOpcion("Vacia transbordador", VACIA_TRANSBORDADOR);
		int opcion;

		// lazo de espera de comandos del usuario
		while(true) {
			opcion = menu.leeOpcion();

			// realiza las acciones dependiendo de la opción elegida
			switch (opcion) {
			case CARGA_VEHICULO:
				lect = new Lectura("Datos vehiculo");
				lect.creaEntrada("Matricula", "");
				lect.creaEntrada("Num ocupantes", "");
				lect.creaEntrada("Peso (Kg)", "");
				lect.esperaYCierra();
				String matricula = lect.leeString("Matricula");
				numOcupantes = lect.leeInt("Num ocupantes");
				peso = lect.leeDouble("Peso (Kg)");
				
				// Crea el vehiculo y le carga en el transbordador
				// TODO
				
				// muestra informacion sobre la carga
				if (precio < 0) {
					mensaje("Error", "Superada carga maxima");
				} else {
					mensaje("Precio vehiculo", "Precio:" + precio);
				}
				break;

			case BUSCA_VEHICULO:
				lect = new Lectura("Busca vehiculo por caracteristicas");
				lect.creaEntrada("Num ocupantes", "");
				lect.creaEntrada("Peso (Kg)", "");
				lect.esperaYCierra();
				numOcupantes = lect.leeInt("Num ocupantes");
				double pesoMinimo = lect.leeDouble("Peso (Kg)");
				
				// busca el vehiculo con las caracteristicas indicadas
				// TODO
				
				// muestra datos del vehiculo buscado
				if (v == null) {
					mensaje("Error", "No hay ningun vehiculo con las caracteristicas buscadas");
				} else {
					mensaje("Datos vehiculo", "Matricula:" + v.matricula() +
							"\nNum ocupantes:" + v.numOcupantes() +
							"\nPeso (Kg):" + v.peso());
				}				
				break;

			case VACIA_TRANSBORDADOR:
				// vacia el transbordador y le deja preparado para comenzar una nueva carga
				// TODO
								
				mensaje("Informacion", "El transbordador ha sido vaciado");
				break;
			}
		}
	}

	/**
	 * Metodo auxiliar que muestra un ventana de mensaje
	 * @param titulo titulo de la ventana
	 * @param txt texto contenido en la ventana
	 */
	private static void mensaje(String titulo, String txt) {
		Mensaje msj = new Mensaje(titulo);
		msj.escribe(txt);

	}

}
